		.text
		.align  2
		.globl  _start

_start:
		addi x20, x0, -1
		addi x21, x0, 0
		addi x22, x0, 0
		add x23, x0, x0
		add x24, zero, zero
		addi x25, x0, 0
		nop
		nop
		nop
		nop
		sb x20, 0(x0)
		lb x21, 0(x0)
		lh x22, 0(x0)
		lw x23, 0(x0)
		lbu x24, 0(x0)
		lhu x25, 0(x0)
loop:
		jal x0, loop
		nop
		nop
		nop

		.end _start
		.size _start, .-_start
